=== components/output/Makefile ===
########## BoCA directory makefile ##########

BOCA_PATH = ../..

include $(dir $(firstword $(MAKEFILE_LIST)))/$(BOCA_PATH)/Makefile-options

FOLDERS = 

ifeq ($(BUILD_LINUX),True)
	FOLDERS += pulseaudio
else ifeq ($(BUILD_OSX),True)
	FOLDERS += coreaudio
else ifeq ($(BUILD_FREEBSD),True)
	FOLDERS += oss
else ifeq ($(BUILD_OPENBSD),True)
	FOLDERS += oss
else ifeq ($(BUILD_NETBSD),True)
	FOLDERS += oss
else ifeq ($(BUILD_SOLARIS),True)
	FOLDERS += oss
else ifeq ($(BUILD_HAIKU),True)
	FOLDERS += haiku
else ifeq ($(BUILD_WIN32),True)
	FOLDERS += directsound waveout

ifeq ($(BUILD_X86),True)
	FOLDERS += winamp
endif
endif

.PHONY: $(FOLDERS)

all: $(FOLDERS)

$(FOLDERS):
	+ $(call makein,$@)

clean: $(foreach FOLDER,$(FOLDERS),$(FOLDER)##clean)

$(foreach FOLDER,$(FOLDERS),$(FOLDER)##clean):
	$(call cleanin,$(subst ##clean,,$@))

install: $(foreach FOLDER,$(FOLDERS),$(FOLDER)##install)

$(foreach FOLDER,$(FOLDERS),$(FOLDER)##install):
	$(call makein,$(subst ##install,,$@),install)

uninstall: $(foreach FOLDER,$(FOLDERS),$(FOLDER)##uninstall)

$(foreach FOLDER,$(FOLDERS),$(FOLDER)##uninstall):
	$(call makein,$(subst ##uninstall,,$@),uninstall)
