=== debian/changelog ===
boca-dmo (1.0.7-dmo2) unstable; urgency=medium

  * Build with libcdio-cdda2t64

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Jan 2026 10:58:08 +0100

boca-dmo (1.0.7-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 23 Aug 2024 17:39:15 +0200
