=== debian/control ===
Source: boca-dmo
Section: libs
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/enzo1982/BoCA
Standards-Version: 4.7.3
Build-Depends: debhelper-compat (= 13), libsmooth-dev, zlib1g-dev,
 libexpat1-dev, libcdio-paranoia-dev, libpulse-dev, liburiparser-dev,

Package: libboca-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libboca0 (= ${binary:Version}), ${misc:Depends},
Description: fre:ac Component Architecture - development files
 BoCA is the component framework behind the fre:ac audio converter. It
 provides unified interfaces for components like encoders, decoders, taggers
 and extensions as well as code to support communication between the
 application and its components.
 .
 This package can be used to invoke libboca via its C++ API.


Package: libboca0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: fre:ac Component Architecture - runtime libraries
 BoCA is the component framework behind the fre:ac audio converter. It
 provides unified interfaces for components like encoders, decoders, taggers
 and extensions as well as code to support communication between the
 application and its components.
 .
  This package contains runtime libraries. You shouldn't have to install it  
 manually.
