=== debian/watch ===
version=4

https://github.com/enzo1982/BoCA/tags \
(?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
